<div class="card mt-7">
    <mat-card>
        <mat-card-title>Zgłoś swój problem</mat-card-title>
        <mat-card-subtitle>Opisz co się stało i dodaj zdjęcie</mat-card-subtitle>
    </mat-card>
    <div>
        <div>
            <br>
            <mat-form-field>
                <mat-label>Opis zgłoszenia</mat-label>
                <textarea matInput required (keydown)="loadAddress()"
                          [(ngModel)]="incidentNotification.description"
                          cdkTextareaAutosize
                          #autosize="cdkTextareaAutosize"
                          cdkAutosizeMinRows="1" as
                          cdkAutosizeMaxRows="5"></textarea>
            </mat-form-field>
            <br>
            <br>
            <input required #photoInput hidden type="file" onClick="this.value=null" (change)="onFileSelected($event)"
                   accept=".jpg, .png"/>
            <button mat-flat-button color="primary" (click)="photoInput.click()">Wybierz obraz</button>
            <br>
            <mat-label>{{incidentNotification.photoUrl}}</mat-label>
            <mat-label *ngIf="!incidentNotification.photoUrl" style="color: red">Dodaj plik</mat-label>
            <br>
            <br>
            <mat-form-field>
                <mat-label>Rodzaj zgłoszenia</mat-label>
                <mat-select required [formControl]="incidentTypes">
                    <mat-option *ngFor="let type of incidentTypesDto" [value]="type.name" (onSelectionChange)="getType(type, $event)">{{type.name}}</mat-option>
                </mat-select>
            </mat-form-field>
            <br>
            <mat-form-field>
                <textarea matInput (keydown)="loadAddress()" disabled [ngModel]="address"
                          placeholder="Adres"></textarea>
            </mat-form-field>
            <br>
            <mat-label>Możesz zmienić adres z mapy klikając na mapie</mat-label>
            <br>
            <br>
            <button mat-flat-button color="primary" [disabled]="!incidentNotification.description" (click)="notify()">Zgłoś</button>
            <div>
                <agm-map [latitude]="mapCenter.latitude" [longitude]="mapCenter.longitude" [mapTypeId]="mapType"
                         [zoom]="zoom" (mapClick)="addMarker($event.coords.lat, $event.coords.lng)">
                    <agm-marker
                            [latitude]="marker.lat"
                            [longitude]="marker.lng"
                            [iconUrl]="marker.iconUrl"
                    >
<!--                        <agm-info-window><strong>{{marker.label}}</strong></agm-info-window>-->
                    </agm-marker>
                </agm-map>
            </div>
        </div>
    </div>
</div>
<ngx-spinner name="uploading" [fullScreen]="true" type="ball-spin-clockwise" size="large"></ngx-spinner>
